Bug 763836 - (GLUSTER-2104) [3.1.1qa5]: network.ping-timeout set failed
[3.1.1qa5]: network.ping-timeout set failed
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: cli (Show other bugs)
3.1.1
All Linux
low Severity low
: ---
: ---
Assigned To: Amar Tumballi
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-12 19:37 EST by Harshavardhana
Modified: 2015-12-01 11:45 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: RTP
Mount Type: ---
Documentation: DNR
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Harshavardhana 2010-11-12 16:50:53 EST
> 
> Note that "compel2" node is down.

even with compel2 up both the sides have same log message. 

------- compel3 ----------

[2010-11-12 16:48:05.650685] I [glusterfsd-mgmt.c:59:mgmt_cbk_spec] mgmt: Volume file changed
[2010-11-12 16:48:06.675054] W [client.c:1915:reconfigure] repl-client-0: Reconfiguration'option ping-timeout 6 failed , Min value can be 5, Defaulting to old value (42)

-------------------------

-------- compel2 ---
[2010-11-12 16:48:50.896214] W [client.c:1915:reconfigure] repl-client-0: Reconfiguration'option ping-timeout 6 failed , Min value can be 5, Defaulting to old value (42)
---------- --------
Comment 1 Harshavardhana 2010-11-12 19:37:06 EST
Setting ping-timeout to 6 failed in log file but says success-full on command line. 

---- relevant logfile ---- 

[2010-11-12 16:32:59.574773] I [rpc-clnt.c:691:rpc_clnt_handle_cbk] rpc-clnt: recieved rpc message (XID: 0x2a, Ver: 2, Program: 52743234, ProgVers: 1, Proc: 1) from rpc-transport (glusterfs)
[2010-11-12 16:32:59.574798] I [glusterfsd-mgmt.c:59:mgmt_cbk_spec] mgmt: Volume file changed
[2010-11-12 16:33:00.603405] W [client.c:1915:reconfigure] repl-client-0: Reconfiguration'option ping-timeout 6 failed , Min value can be 5, Defaulting to old value (42)

-----------------------------

[root@compel3 share]# gluster volume set repl network.ping-timeout 6
Set volume successful


In volume file its set to   

volume repl-client-0
    type protocol/client
    option remote-host 10.1.10.112
    option remote-subvolume /sdb
    option transport-type tcp
    option ping-timeout 6
end-volume

which is correct. 

Note that "compel2" node is down.
Comment 2 Anand Avati 2010-11-15 23:46:10 EST
PATCH: http://patches.gluster.com/patch/5708 in master (protocol/client: fix ping timeout checks in reconfigure())
Comment 3 Amar Tumballi 2010-11-16 00:08:53 EST
Can add a regression for changing option of ping-timeout in a volume
Comment 4 Raghavendra Bhat 2010-11-21 21:47:20 EST
checked with glusterfs-3.1.1qa9, such error messages are not seen in the log files.




[2010-11-22 10:49:05.393049] I [server-handshake.c:535:server_setvolume] mirror-server: accepted client from 127.0.1.1:1023
[2010-11-22 10:49:08.315548] I [server-handshake.c:535:server_setvolume] mirror-server: accepted client from 127.0.1.1:1019
[2010-11-22 10:49:09.395752] I [server-handshake.c:535:server_setvolume] mirror-server: accepted client from 127.0.1.1:1015
[2010-11-22 11:09:17.165144] I [rpc-clnt.c:691:rpc_clnt_handle_cbk] rpc-clnt: recieved rpc message (XID: 0x2a, Ver: 2, Program: 52743234, ProgVers: 1, Proc: 1) from rpc-transport (glusterfs)
[2010-11-22 11:09:17.165202] I [glusterfsd-mgmt.c:59:mgmt_cbk_spec] mgmt: Volume file changed
[2010-11-22 11:09:17.174092] I [glusterfsd-mgmt.c:349:mgmt_getspec_cbk] : No change in volfile, continuing
[2010-11-22 11:13:25.185269] I [rpc-clnt.c:691:rpc_clnt_handle_cbk] rpc-clnt: recieved rpc message (XID: 0x2a, Ver: 2, Program: 52743234, ProgVers: 1, Proc: 1) from rpc-transport (glusterfs)
[2010-11-22 11:13:25.185299] I [glusterfsd-mgmt.c:59:mgmt_cbk_spec] mgmt: Volume file changed
[2010-11-22 11:13:25.196733] I [server.c:428:server_rpc_notify] mirror-server: disconnected connection from 127.0.1.1:1015
[2010-11-22 11:13:26.218741] I [glusterfsd-mgmt.c:349:mgmt_getspec_cbk] : No change in volfile, continuing
[2010-11-22 11:13:30.254483] I [server-handshake.c:535:server_setvolume] mirror-server: accepted client from 127.0.1.1:1018
(END) 




[2010-11-22 10:49:05.397733] I [server-handshake.c:535:server_setvolume] mirror-server: accepted client from 127.0.1.1:1022
[2010-11-22 10:49:08.314721] I [server-handshake.c:535:server_setvolume] mirror-server: accepted client from 127.0.1.1:1021
[2010-11-22 10:49:09.390039] I [server-handshake.c:535:server_setvolume] mirror-server: accepted client from 127.0.1.1:1016
[2010-11-22 11:09:17.164959] I [rpc-clnt.c:691:rpc_clnt_handle_cbk] rpc-clnt: recieved rpc message (XID: 0x2a, Ver: 2, Program: 52743234, ProgVers: 1, Proc: 1) from rpc-transport (glusterfs)
[2010-11-22 11:09:17.165017] I [glusterfsd-mgmt.c:59:mgmt_cbk_spec] mgmt: Volume file changed
[2010-11-22 11:09:17.172148] I [glusterfsd-mgmt.c:349:mgmt_getspec_cbk] : No change in volfile, continuing
[2010-11-22 11:13:25.185155] I [rpc-clnt.c:691:rpc_clnt_handle_cbk] rpc-clnt: recieved rpc message (XID: 0x2a, Ver: 2, Program: 52743234, ProgVers: 1, Proc: 1) from rpc-transport (glusterfs)
[2010-11-22 11:13:25.185188] I [glusterfsd-mgmt.c:59:mgmt_cbk_spec] mgmt: Volume file changed
[2010-11-22 11:13:25.196472] I [server.c:428:server_rpc_notify] mirror-server: disconnected connection from 127.0.1.1:1016
[2010-11-22 11:13:26.218667] I [glusterfsd-mgmt.c:349:mgmt_getspec_cbk] : No change in volfile, continuing
[2010-11-22 11:13:30.254746] I [server-handshake.c:535:server_setvolume] mirror-server: accepted client from 127.0.1.1:1020
(END) 






[2010-11-22 10:49:23.677765] I [afr-self-heal-common.c:1526:afr_self_heal_completion_cbk] mirror-replicate-0: background  entry self-heal completed on /
[2010-11-22 11:09:17.164342] I [rpc-clnt.c:691:rpc_clnt_handle_cbk] rpc-clnt: recieved rpc message (XID: 0x2a, Ver: 2, Program: 52743234, ProgVers: 1, Proc: 1) from rpc-transport (glusterfs)
[2010-11-22 11:09:17.164432] I [glusterfsd-mgmt.c:59:mgmt_cbk_spec] mgmt: Volume file changed
[2010-11-22 11:09:17.171946] I [glusterfsd-mgmt.c:349:mgmt_getspec_cbk] : No change in volfile, continuing
[2010-11-22 11:13:25.184916] I [rpc-clnt.c:691:rpc_clnt_handle_cbk] rpc-clnt: recieved rpc message (XID: 0x2a, Ver: 2, Program: 52743234, ProgVers: 1, Proc: 1) from rpc-transport (glusterfs)
[2010-11-22 11:13:25.184952] I [glusterfsd-mgmt.c:59:mgmt_cbk_spec] mgmt: Volume file changed
[2010-11-22 11:13:26.220854] W [dict.c:1204:data_to_str] dict: @data=(nil)
[2010-11-22 11:13:26.220941] W [dict.c:1204:data_to_str] dict: @data=(nil)
[2010-11-22 11:13:26.220956] W [dict.c:1204:data_to_str] dict: @data=(nil)
[2010-11-22 11:13:26.220969] W [dict.c:1204:data_to_str] dict: @data=(nil)
(END)

Note You need to log in before you can comment on or make changes to this bug.